(define square
  (lambda (x)
    (* x x)))

(define cube1
  (lambda (x)
    (* x x x)))

(define cube2
  (lambda(x)
    (* x (square x))))

(define f2c
  (lambda (f)
    (* 5/9 (- f 32))))

(define f2c1
  (lambda (f)
    (* (/ 5 9) (- f 32))))

(define 2themoon
  (lambda (w)
    (/ w 6)))

(define 2themoon2
  (lambda (w)
    (* w 1/6)))

(define moonbackpack
  (lambda (w bp)
    (* (+ w bp) 1/6)))

(define mbp2
  (lambda (w bp)
    (+ (* 1/6 w)
       (* 1/6 bp))))

(define milaninter
  (lambda (VIPs SiP StP)
    (- (+ (* VIPs 0) (* SiP 100) (* StP 50))
       (* 1.1 (+ (* VIPs 2) SiP StP)))))

; fahrenheitToCelsius : number -> number
; Converts Fahrenheit degrees to Celsius degrees
(define fahrenheitToCelsius
 (lambda (f)
   (* (- f 32) 5/9)))
;(fahrenheitToCelsius 32) "should be" 0
;(fahrenheitToCelsius 212) "should be" 100

(define weight-on-planet
  (lambda (weight backpack-weight gravity-factor)
    (+ (* gravity-factor weight)
       (* gravity-factor backpack-weight))))

(define compute-costs
  (lambda (VIPs sitting-places standing-places)
    (+ (* VIPs 2)
       (* sitting-places 1)
       (* standing-places 1))))
  
(define compute-income
  (lambda (VIPs sitting-places standing-places)
    (+ (* VIPs 0)
       (* sitting-places 100)
       (* standing-places 50))))

(define compute-gains
  (lambda (VIPs sitting-places standing-places)
    (- (compute-income VIPs sitting-places standing-places)
       (compute-costs VIPs sitting-places standing-places))))
                    